Retail Express API 2.1

returnreasons

Searches Return Reasons by parameters

Searches Return Reasons by parameters

get
https://api.retailexpress.com.au/v2.1/returnreasons

Query Parameters

order_bystring | null

Order by.

Available field name values: id, name, enabled, created_on, modified_on.

Available direction values: asc, desc.

Example: id asc, name desc

filter_bystring | null

Filter by.
Available field name values: id, name, enabled, created_on, modified_on.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: name:eq:Cashier Error

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Return Reasons data

ReturnReason.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Return Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/returnreasons
 
application/json

Gets specific Return Reason by unique id

Gets specific Return Reason by unique id

get
https://api.retailexpress.com.au/v2.1/returnreasons/{id}

Path Parameters

idinteger(int32)required

Return Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Return Reason

ReturnReason

Return Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Return Reason Id.

namestring | null

Return Reason name

enabledboolean

Return Reason enabled flag

created_onstring(date-time)

Return Reason creation date and time

modified_onstring(date-time)

Return Reason modification date and time

get/returnreasons/{id}
 
application/json

shipmenttypes

Searches Shipment Types by parameters

Searches Shipment Types by parameters

get
https://api.retailexpress.com.au/v2.1/shipmenttypes

Query Parameters

namestring | null

Name

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Shipment Types data

ShipmentType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Shipment Type model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/shipmenttypes
 
application/json